1 Star 0 Fork 26

xiaoshi_love / Nest-Web

forked from 蕉zisuzz / Nest-Web 
加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
克隆/下载
init 953 Bytes
一键复制 编辑 原始数据 按行查看 历史
蕉zisuzz 提交于 2019-10-08 10:33 . first 提交
#!/bin/bash
#
# Initialize NestJS project for first usage.
#
# This script is following Google Shell Style standard
# https://google.github.io/styleguide/shell.xml
# STDERR log function
err() {
echo -e "\n[$(date +'%Y-%m-%dT%H:%M:%S%z')]: $@\n" >&2
exit 1
}
# STDOUT log function
log() {
echo -e "\n[$(date +'%Y-%m-%dT%H:%M:%S%z')]: $@\n"
}
# Check if Docker is installed
if ! type "docker" > /dev/null 2>&1; then
err "Docker not installed"
fi
# Check if Docker-compose is installed
if ! type "docker-compose" > /dev/null 2>&1; then
err "Docker-Compose not installed"
fi
log "Looks like both docker and docker-compose are installed, everything looks good."
log "Copying .env.example -> .env"
cp .env.example .env
if [ $? -ne 0 ]; then
err "Error while copying .env"
fi
log "Starting docker-compose stack if not already started.."
docker-compose up -d
if [ $? -ne 0 ]; then
err "Error while starting docker-compose stack."
fi
TypeScript
1
https://gitee.com/xiaoshi_love/Nest-Web.git
git@gitee.com:xiaoshi_love/Nest-Web.git
xiaoshi_love
Nest-Web
Nest-Web
master

搜索帮助

53164aa7 5694891 3bd8fe86 5694891